/**
 * @(#)REditableComboCEC.java
 * Copyright 2001 Nomura Research Institute, LTD. All rights reserved.
 * RID-3 : Rid Editable Combo Cell Editor Component
 * @author  Intelligent Technology Inc.
 * @version 1.00 2001/10/01-2002/03/26
 */
package	jp.co.nri.rid.table.editor;

//import	java.awt.*;
//import	java.awt.event.*;
import	javax.swing.*;
import	java.util.*;
import java.io.*;
import java.awt.event.*;

import jp.co.nri.rid.xml.*;
import jp.co.nri.rid.table.editor.filter.*;
import jp.co.nri.Rid;
import jp.co.iti.fagot.ZApp;
import jp.co.iti.fagot.util.*;

/**
 * テキスト編集できるなChooseCEC
 */
public class REditableComboCEC extends ChooseCEC{
	
	/**
	 * @param	items		リスト配列。
	 * @param	editable	編集可否。
	 * @param	listener	アクションリスナー。
	 * @since	1.00
	 */
	public REditableComboCEC(String[] items,boolean editable ,ActionListener listener){
		super();
		setEditable(true);
		addItem(new String());
		int mx = items.length;
		for(int i=1;i<mx;i++)	addItem(items[i]);
		
		init(editable ,listener);
	}
	
	/**
	 * セル値(String)を取得する。
	 * @return	セル値。
	 * @since	1.00
	 */
	public String		text(){ return (String)getEditor().getItem(); }
	
	/**
	 * セル値を設定する。
	 * @param	text	セル値。
	 * @since	1.00
	 */
	public void			text(String text){
		pauseCECAdapter();
		getEditor().setItem(text);
		playCECAdapter();
	}
}
